## org.apache.batik.swing.gvt
Class GVTTreeRenderer

    java.lang.Object
      java.lang.Thread
          org.apache.batik.swing.gvt.GVTTreeRenderer

All Implemented Interfaces:
  java.lang.Runnable

public class GVTTreeRenderer
extends java.lang.Thread

This class represents an object which renders asynchroneaously a GVT tree.

Field Summary
`protected java.awt.Shape` `areaOfInterest` The area of interest.
`protected boolean` `beenInterrupted` Boolean indicating if this thread has ever been interrupted.
`protected boolean` `doubleBuffering` Whether to enable the double buffering.
`protected int` `height` The buffer height.
`protected java.util.List` `listeners` The listeners.
`protected ImageRenderer` `renderer` The renderer used to paint.
`protected java.awt.geom.AffineTransform` `user2DeviceTransform` The user to device transform.
`protected int` `width` The buffer width.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GVTTreeRenderer(ImageRenderer r, java.awt.geom.AffineTransform usr2dev, boolean dbuffer, java.awt.Shape aoi, int width, int height)` Creates a new GVTTreeRenderer.

Method Summary
`void` `addGVTTreeRendererListener(GVTTreeRendererListener l)` Adds a GVTTreeRendererListener to this GVTTreeRenderer.
`void` `fireEvent(EventDispatcher.Dispatcher dispatcher, java.lang.Object event)`
`boolean` `getBeenInterrupted()`
`void` `interrupt()`
`void` `removeGVTTreeRendererListener(GVTTreeRendererListener l)` Removes a GVTTreeRendererListener from this GVTTreeRenderer.
`void` `run()` Runs this renderer.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### renderer

    protected ImageRenderer renderer

  The renderer used to paint.

### areaOfInterest

    protected java.awt.Shape areaOfInterest

  The area of interest.

### width

    protected int width

  The buffer width.

### height

    protected int height

  The buffer height.

### user2DeviceTransform

    protected java.awt.geom.AffineTransform user2DeviceTransform

  The user to device transform.

### doubleBuffering

    protected boolean doubleBuffering

  Whether to enable the double buffering.

### listeners

    protected java.util.List listeners

  The listeners.

### beenInterrupted

    protected boolean beenInterrupted

  Boolean indicating if this thread has ever been interrupted.

Constructor Detail

### GVTTreeRenderer

    public GVTTreeRenderer(ImageRenderer r,
                           java.awt.geom.AffineTransform usr2dev,
                           boolean dbuffer,
                           java.awt.Shape aoi,
                           int width,
                           int height)

  Creates a new GVTTreeRenderer.

Parameters:
  `r` - The renderer to use to paint.
  `usr2dev` - The user to device transform.
  `dbuffer` - Whether the double buffering should be enabled.
  `aoi` - The area of interest in the renderer space units.

Method Detail

### getBeenInterrupted

    public boolean getBeenInterrupted()

### run

    public void run()

  Runs this renderer.

### interrupt

    public void interrupt()

### fireEvent

    public void fireEvent(EventDispatcher.Dispatcher dispatcher,
                          java.lang.Object event)

### addGVTTreeRendererListener

    public void addGVTTreeRendererListener(GVTTreeRendererListener l)

  Adds a GVTTreeRendererListener to this GVTTreeRenderer.

### removeGVTTreeRendererListener

    public void removeGVTTreeRendererListener(GVTTreeRendererListener l)

  Removes a GVTTreeRendererListener from this GVTTreeRenderer.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.